List SSH keys

View as Markdown

List the SSH keys belonging to the authenticated client.

Permissions: Any authenticated user with an Air scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

fingerprintstringOptional
idstringOptionalformat: "uuid"
limitintegerOptional
Number of results to return per page.
namestringOptional
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by name.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error